gnutls_openpgp_send_cert(3)

NAME
gnutls_openpgp_send_cert - order gnutls to send the openpgp fingerprint instead of the key

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_openpgp_send_cert(gnutls_session_t session, gnutls_openpgp_crt_status_t status);

ARGUMENTS

gnutls_session_t session
    is a pointer to a gnutls_session_t structure.

gnutls_openpgp_crt_status_t status
    is one of GNUTLS_OPENPGP_CERT, or GNUTLS_OPENPGP_CERT_FINGERPRINT

DESCRIPTION
This function will order gnutls to send the key fingerprint instead of the key in the initial handshake procedure. This should be used with care and only when there is indication or knowledge that the server can obtain the client's key.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.